Subject: Re: [PATCH] valgrind: ignore SSE-based strlen invalid reads

From: Jonathan Nieder <[email-masked]>
Date: Wed, 16 Mar 2011 04:56:32 -0500

Hi Carlos,

Carlos Martín Nieto wrote:

> The C library uses SSE instructions to make strlen (among others)
> faster, loading 4 bytes at a time and reading past the end of the
> allocated memory. This read is safe and when the strlen function is
> inlined, it is (obviously) not replaced by valgrind, which reports a
> false-possitive.

It would be GCC rather than the C library if the strlen is inlined, I
think.  Is this a distinct bug from
<http://bugs.kde.org/show_bug.cgi?id=266961>?  Has it been filed
with the valgrind maintainers?

Thanks,
Jonathan